Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003424 [JEDI VCL] 00 JVCL Components block always 2006-01-08 05:07 2006-04-05 01:24
Reporter mriepp View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003424: JvInspector hangs if EditCtrl is active
Description the Application hangs if EditCtrl is active.
Resolve the Problem with:

Update Sourcecode at:

procedure TJvCustomInspector.Notification(AComponent: TComponent; Operation: TOperation);
begin
// Bugfix Michael Riepp 08.01.2006
  inherited Notification(AComponent,Operation); // Add this line
// Bugfix
if (Operation = opRemove) and (AComponent = Painter) then
    FPainter := nil;
end;

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008328)
obones (administrator)
2006-01-08 06:26

I can't reproduce this with the latest CVS and the JvInspector demo.
Can you post the zipped sources of a sample application showing the problem?
(0008355)
mriepp (reporter)
2006-01-08 23:09
edited on: 2006-01-09 03:10

I used the InspExample Project from the JVCL-Examples.

- Compile and run InspExample.exe
- First click on 'Marcel' in the "Various tests"-Section.
  The Editor is now active
- Then try to select the next Item 'Copy of initial'
- The Application hangs.

After testing with the Debugger, you can see that on destroying the FEditCtrl
it will stay in a not ending loop of calling notification-procedure.

The Changes of the sourcecode, i have made, resolves the problem.

DELPHI7: **** There ist no Problem ******
BDS 2006: There is the Problem.

in Delphi8 - Delphi 2005 not tested

(0008392)
mriepp (reporter)
2006-01-15 23:15

Reminder sent to: ceditmx

Please read my note.

I have testet with Delphi 7 and BDS 2006
With Delphi 7 it is all ok. no problem.
But the Example-Application hangs with BDS 2006.

In Delphi 7 the the Notification is deleted before the procedure-call is made. In BDS 2006 it is made in a inherited notification-procedure.
(0008901)
obones (administrator)
2006-04-04 07:30

Thanks, this is now ready to be put in CVS and will be as soon as it is back online.
(0008946)
obones (administrator)
2006-04-05 01:24

This is now in CVS

- Issue History
Date Modified Username Field Change
2006-01-08 05:07 mriepp New Issue
2006-01-08 06:26 obones Note Added: 0008328
2006-01-08 06:26 obones Status new => feedback
2006-01-08 23:09 mriepp Note Added: 0008355
2006-01-09 03:10 mriepp Note Edited: 0008355
2006-01-15 23:15 mriepp Issue Monitored: ceditmx
2006-01-15 23:15 mriepp Note Added: 0008392
2006-04-04 07:30 obones Note Added: 0008901
2006-04-04 07:30 obones Status feedback => confirmed
2006-04-05 01:24 obones Status confirmed => resolved
2006-04-05 01:24 obones Resolution open => fixed
2006-04-05 01:24 obones Assigned To => obones
2006-04-05 01:24 obones Note Added: 0008946


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker